petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCMGGetRestriction

Gets the function to be used to restrict vector from level l to l-1.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCMGGetRestriction(PC pc,PetscInt l,Mat *mat)

Logically Collective on PC and Mat Many br

### Input Parameters

| pc | - the multigrid context Many br
| l | - the level (0 is coarsest) to supply [Do not supply 0] Many br

### Output Parameter

mat -the restriction matrix Many br

Many br

### Keywords

MG, get, multigrid, restriction, level

### See Also

PCMGGetInterpolation(), PCMGSetRestriction(), PCMGGetRScale()

Level:advanced
Location:src/ksp/pc/impls/mg/mgfunc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html